/*
 * Copyright 2016 (c) Anna Schumaker.
 */
#ifndef OCARINA_GUI_TREEVIEW_H
#define OCARINA_GUI_TREEVIEW_H
#include <gui/builder.h>

/* Called to initialize the treeview widget. */
void gui_treeview_init();

/* Called to deinitialize the treeview layer. */
void gui_treeview_deinit();

/* Called to set the current playlist. */
void gui_treeview_set_playlist(struct playlist *);

/* Called to scroll the treeview to the current track. */
void gui_treeview_scroll();

/* Called to access the treeview widget. */
static inline GtkTreeView *gui_treeview()
{
	return GTK_TREE_VIEW(gui_builder_widget("treeview"));
}

/* Called to access the sorting display widget. */
static inline GtkLabel *gui_sorting()
{
	return GTK_LABEL(gui_builder_widget("sorting"));
}

#endif /* OCARINA_GUI_TREEVIEW_H */
